// -*- IDL -*-

// ImR_Activator.idl,v 1.6 2005/05/23 17:58:34 michel_j Exp

#include "tao/ImR_Client/ImplRepo.pidl"

module ImplementationRepository
{
  interface Activator
  {
    // Tells the activator to launch a server with the given information.
    void start_server(in string name, in string cmdline,
      in string dir, in EnvironmentList env) raises(CannotActivate);

    oneway void shutdown();
  };
};

